# $Revision: 1.4 $, $Date: 2004/05/05 06:38:13 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	XML
%define	pnam	XSH
Summary:	XML::XSH - an XML editing shell
Summary(pl):	XML::XSH - powoka do edycji XML-a
Name:		perl-XML-XSH
Version:	1.8.2
Release:	1
License:	GPL v2 or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	c25f59c465f785347d0466d653d9893f
%if %{with tests}
BuildRequires:	perl-Parse-RecDescent >= 1.94
BuildRequires:	perl-XML-GDOME
BuildRequires:	perl-XML-LibXML >= 1.54
BuildRequires:	perl-XML-LibXML-XPathContext >= 0.04
BuildRequires:	perl-XML-LibXSLT >= 1.53
BuildRequires:	perl-XML-XUpdate-LibXML >= 0.4.0
%endif
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
Requires:	perl-Parse-RecDescent >= 1.94
Requires:	perl-XML-LibXML >= 1.54
Requires:	perl-XML-LibXML-XPathContext >= 0.04
Requires:	perl-XML-LibXSLT >= 1.53
Requires:	perl-XML-XUpdate-LibXML >= 0.4.0
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
xsh is a powerful command-line XML (DOM) editing tool/programming
language in the manner of Unix shell interpreters and line-oriented
text editors like ed. It can be used either interactively or for
batch-mode XML processing.

%description -l pl
xsh to potne dziaajace z linii polece narzdzie do edycji XML-a
(DOM), a take jzyk programowania w stylu uniksowych powok oraz
liniowo zorientowanych edytorw w stylu eda. Moe by uywane
interaktywnie lub do wsadowego przetwarzania XML-a.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc BUGS ChangeLog Changes NOTES README TODO
%attr(755,root,root) %{_bindir}/xsh
%{perl_vendorlib}/XML/XSH.pm
%{perl_vendorlib}/XML/XSH
%{perl_vendorlib}/Inline/XSH.pm
%{_mandir}/man[13]/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-XML-XSH.spec,v $
Revision 1.4  2004/05/05 06:38:13  ankry
- cosmetics

Revision 1.3  2004/04/15 19:46:36  ankry
- cosmetics, unification

Revision 1.2  2004/02/23 22:09:00  ankry
- pl fixes, cosmetics

Revision 1.1  2004/01/08 13:45:55  qboosh
- new

